import { AfterViewInit, EventEmitter } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { IEventCard } from '../models/IEventCard';
import * as i0 from "@angular/core";
export declare class EventDetailsComponent implements AfterViewInit {
    dialogRef: MatDialogRef<EventDetailsComponent>;
    data: any;
    event: IEventCard;
    eventId: number;
    prevEvent: EventEmitter<any>;
    nextEvent: EventEmitter<any>;
    viewer: any;
    slideIndex: number;
    eventproperties: any[];
    constructor(dialogRef: MatDialogRef<EventDetailsComponent>, data: any);
    ngAfterViewInit(): void;
    /**
     * The function showPreviousEvent() emits the event object to the parent component
     */
    showPreviousEvent(): void;
    /**
     * The function showNextEvent() is a function that emits the event object to the parent component.
     */
    showNextEvent(): void;
    /**
     * If the slide index is greater than the number of images in the event, set the slide index to 0. If
     * the slide index is less than 0, set the slide index to the number of images in the event.
     * Otherwise, set the slide index to the number passed in.
     * </code>
     * @param {number} n - number - the index of the image to be displayed
     */
    plusSlides(n: number): void;
    /**
     *It switches between OpenSeaDragon Dialog and Images Gallery and pass Image path to OpenSeaDragon Dialog.
     * @param {any} [Path] - The path of the image that I want to display in the OpenSeaDragon Dialog.
     */
    toggleshowImageContainer(Path?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EventDetailsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EventDetailsComponent, "lib-event-details", never, {}, {}, never, never>;
}
