import { EventEmitter, OnInit } from '@angular/core';
import { FilterModel } from '../models/FilterModel';
import { AppliedFilterModel } from '../models/AppliedFilterModel';
import { FormArray, FormBuilder, FormGroup } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class FilterComponent implements OnInit {
    private formBuilder;
    constructor(formBuilder: FormBuilder);
    ngOnInit(): void;
    filters: FilterModel[];
    appliedFilter: AppliedFilterModel[];
    selectedFilter: number;
    FilterCondition: {
        number: string[];
        string: string[];
        array: string[];
        boolean: string[];
        multiselect: string[];
    };
    dynamicForm: FormGroup;
    get formFilterControls(): FormArray;
    get formCheckBoxControls(): FormArray;
    filterApplied: EventEmitter<any>;
    removeFilters: EventEmitter<any>;
    _filters: FilterModel[];
    /**
     * It enables or disables the input fields of the filter form based on the checkbox value of form
     * @param {number} index - number - the index of the filter in the form array
     * @param {boolean} bool - boolean - This is the checkbox value that is passed from HTML.
     */
    disableEnableInput(index: number, bool: boolean): void;
    /**
     * The function is called when the user clicks on the submit button. It checks if the form is valid
     * and if it is, it emits the form values to the parent component and Emits an event that filter is applied to Event-Card Component
     * @returns The form values are being returned.
     */
    onSubmitFilterForm(): void;
    /**
     * It loops through the filters, sets the checkbox to false, sets the formcontrol (value and condition) to empty,
     * and disables the input and Emits an event that filter are removed to Event-Card Component
     */
    onClearFilterForm(): void;
    /**
     * If the value is already in the array, remove it. If it's not, add it
     * @param {any} value - any - the value of the checkbox
     * @param {number} i - number - the index of the control in the form array
     */
    addRemoveValueToControl(value: any, i: number): void;
    /**
     * It returns the value of the form control at the given index
     * @param {number} i - number - the index of the form control in the form array
     * @returns The value of the form control at index i.
     */
    getValueOfFormControl(i: number): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterComponent, "lib-filter", never, { "filters": "filters"; }, { "filterApplied": "filterApplied"; "removeFilters": "removeFilters"; }, never, never>;
}
