import { AfterViewInit, EventEmitter } from '@angular/core';
import { MatMenuTrigger } from '@angular/material/menu';
import { CustomOption } from '../models/IOption';
import { NgxLiveViewService } from '../ngx-live-view.service';
import { WebPlayerComponent } from '../web-player/web-player.component';
import * as i0 from "@angular/core";
export declare class I2vVideoGridComponent implements AfterViewInit {
    private _NgxLiveViewService;
    playerServerIp: string;
    streamerIp: string;
    idx: number;
    resourceId: any;
    resource: any;
    playbackMode: string;
    savedPlayerName: string;
    time_out: any;
    showHeader: boolean;
    attachedEvent: any;
    selected: boolean;
    color: any;
    info: any;
    timeRange: any;
    audioOnly: boolean;
    options: CustomOption[];
    VideoStartedFromi2vVideoGrid: EventEmitter<any>;
    CloseLiveFeed: EventEmitter<any>;
    playBackModeChange: EventEmitter<any>;
    playerNameChange: EventEmitter<any>;
    VerifyEvent: EventEmitter<any>;
    FullScreen: EventEmitter<any>;
    matMenuTrigger: MatMenuTrigger;
    webPlayer: WebPlayerComponent;
    isLoading: boolean;
    resourceNotFoundMessage: string;
    isPtzControl: boolean;
    timerReference: any;
    fill: boolean;
    stream: string;
    isFullScreen: boolean;
    eventVerified: boolean;
    isPtzRightAvailable: boolean;
    streamType: number;
    menuTopLeftPosition: {
        x: string;
        y: string;
    };
    private _unsubscribeAll;
    videoFit: {
        name: string;
        value: string;
    }[];
    showoptions: boolean;
    constructor(_NgxLiveViewService: NgxLiveViewService);
    ngAfterViewInit(): void;
    /**
     * When the user clicks the close button, emit an event to the parent component, and pass the index of
     * the video panel that was closed.
     */
    closeVideoPanel(): void;
    /**
     * If the element is not in fullscreen mode, then request fullscreen mode. If the element is in
     * fullscreen mode, then exit fullscreen mode.
     */
    fullscreen(): Promise<void>;
    /**
     * The function is called from the web player component and it emits an event to the parent
     * component.
     */
    onVideoStartedFromWebPlayer(): void;
    /**
     * When the live button is clicked, the start time is set to undefined, the playback mode is set to
     * LIVE, the attached event is set to undefined, and the playback mode change event is emitted.
     */
    onLiveButtonClicked(): void;
    /**
     * Method called when the user click with the right button
     * @param event MouseEvent, it contains the coordinates
     * @param item Data passed
     */
    onRightClick(event: MouseEvent, item: any): void;
    /**
     * When the user changes the video fit, find the video element and change the style.objectFit
     * property to the new value.
     * @param {any} event - the event that was triggered
     * @param {string} id - the id of the video
     */
    onVideoFitChanged(event: any, id: string): void;
    /**
     * It takes a snapshot of the video element and saves it as a png file.
     * @param {number} [id] - the id of the video element
     */
    clickSnapShot(id?: number): Promise<void>;
    /**
     * The function is called when the fullscreenchange event is fired. It toggles the value of the
     * isFullScreen property
     */
    fullscreenchanged(): void;
    /**
     * This function is called by the I2VVideoGrid component to pass a callback function to the
     * ngx-live-view component.
     * @param {any} callback - The callback function that will be called when the user clicks on a video.
     */
    i2vfunctionCallback(callback: any): void;
    /**
     * Used to hide option if no. of option increases, If showoptions is true, then set it to false, and if showoptions is false, then set it to true.
     */
    toggleshowoptions(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<I2vVideoGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<I2vVideoGridComponent, "lib-i2v-video-grid", never, { "playerServerIp": "playerServerIp"; "streamerIp": "streamerIp"; "idx": "idx"; "resourceId": "resourceId"; "resource": "resource"; "playbackMode": "playbackMode"; "savedPlayerName": "savedPlayerName"; "time_out": "time_out"; "showHeader": "showHeader"; "attachedEvent": "attachedEvent"; "selected": "selected"; "color": "color"; "info": "info"; "timeRange": "timeRange"; "audioOnly": "audioOnly"; "options": "options"; }, { "VideoStartedFromi2vVideoGrid": "VideoStartedFromi2vVideoGrid"; "CloseLiveFeed": "CloseLiveFeed"; "playBackModeChange": "playBackModeChange"; "playerNameChange": "playerNameChange"; "VerifyEvent": "VerifyEvent"; "FullScreen": "FullScreen"; }, never, never>;
}
