/**
 * @interface ZTreeModel
 * @field {string} id is used to store the id of the node.
 * @field {string} name is used to store the name of the node.
 * @field {boolean} isParent is used to determine if the node is a parent or not.
 * @field {Array<ZTreeModel>} children is used to pass if the node has children or not.
 * @field {ExternalDataForTree} data is used to store the data that is passed to the tree.
 * @field {boolean} checked is used to determine if the node is checked or not.
 * @field {boolean} nocheck is used to determine if the node is checkable or not.
 * @optional {string} title is used to store the title of the node.
 * @optional {string} icon is used to store the icon that is used for the node.
 * @optional {string} iconOpen is used to store the icon that is used for the node when it is open.
 * @optional {string} iconClose is used to store the icon that is used for the node when it is closed.
 * @optional {number} random is used to store a random number that is used to determine if the node is open or not.
 * @optional {boolean} open is used to determine if the node is open or not.
 */
export interface ZTreeModel {
    id: string;
    name: string;
    title?: string;
    checked: boolean;
    isParent: boolean;
    nocheck: boolean;
    children: Array<ZTreeModel>;
    data: ExternalDataForTree;
    icon?: string;
    iconOpen?: string;
    iconClose?: string;
    random?: number;
    open?: boolean;
}
export interface ExternalDataForTree {
    id: number;
    typeOfNode?: string;
    externalId?: number;
    originalId?: string;
    isDroppable?: boolean;
    isDropped?: boolean;
    type?: string;
    GroupTypeId?: string;
    connectedImagePath?: string;
    disconnectedImagePath?: string;
    groupingReference?: string;
    isCustom?: boolean;
    resourceTypeId?: number;
}
export interface treeToolbarButtonModel {
    id: string;
    matIcon: string;
    toolTip: string;
    type?: string;
}
