import { OnInit, SimpleChanges, AfterViewInit, ChangeDetectorRef, OnDestroy, EventEmitter, OnChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class WebPlayerComponent implements OnInit, AfterViewInit, OnDestroy, OnChanges {
    private changeDetectorRef;
    idx: number;
    playbackMode: string;
    resource: any;
    fill: boolean;
    isDahua: boolean;
    startTime: any;
    streamType: number;
    VideoStarted: EventEmitter<any>;
    videoPlayerInstance: any;
    playerIp: string;
    playerServerPort: number;
    isLoading: boolean;
    sdk: any;
    isVlc: boolean;
    url: string;
    playerServerIp: string;
    streamerIp: string;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * If the image tag exists, then if the fill property is true, set the height and width to 100%,
     * otherwise set the height and width to auto.
     */
    changeAspectRatio(): void;
    /**
    Used to play Video
     */
    playVideo(): void;
    /**
     * "If the user doesn't have the player installed, show a link to download it."
     * @param {string} message - string - the message to display
     */
    showErrorMessage(message: string): void;
    /**
     * This function returns a base64 encoded string of the current frame of the video.
     * @returns A base64 encoded string of the current frame of the video.
     */
    getSnapshotInBase64Format(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<WebPlayerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WebPlayerComponent, "lib-app-web-player", never, { "idx": "idx"; "playbackMode": "playbackMode"; "resource": "resource"; "fill": "fill"; "startTime": "startTime"; "streamType": "streamType"; "playerServerIp": "playerServerIp"; "streamerIp": "streamerIp"; }, { "VideoStarted": "VideoStarted"; }, never, never>;
}
